<?php
/**
* Web Application Component Toolkit
*
* @link http://www.phpwact.org/
*
* @author Wact Development Team
* @link http://www.phpwact.org/team
*
* @copyright Copyright 2006, Jeff Moore
* @license http://opensource.org/licenses/mit-license.php MIT
*/

/**
* File level includes
*/

/**
* Manage a set of compilable resources.
*/
class Wact_Template_Reader_Transient {

    protected $source = array();

    /**
    */
    public function readSource($resourceId) {
        if (isset($this->source[$resourceId])) {
            return $this->source[$resourceId];
        } else {
            return NULL; // not found
        }
    }

    /**
    */
    public function writeSource($resourceId, $data) {
        $this->source[$resourceId] = $data;
    }
    
}

?>